Skip to main content

Snag Solutions - API Docs (v 0.1)


What’s Changed


GET /api/loyalty/rule_edits
Return Type:
Changed response : 200 OK
200
  • Changed content type : application/json
    • Changed property data (array) Changed items (object):
      • Changed property data (object)
        Data that was changed on the rule
        • Added property dappDeployedWithin (string)
          Filter dApps by deployment age before ranking.
          Enum values:
          • daily
          • weekly
          • monthly
        • Added property dappDataWindow (string)
          Reward based on data usage within the last day, week, or month. Leave it empty for all time usage.
          Enum values:
          • daily
          • weekly
          • monthly
      • Changed property previousData (object)
        Previous data of the rule before the edit
        • Added property dappDeployedWithin (string)
          Filter dApps by deployment age before ranking.
        • Added property dappDataWindow (string)
          Reward based on data usage within the last day, week, or month. Leave it empty for all time usage.
POST /api/loyalty/rule_edits//restore
Return Type:
Changed response : 200 OK
200
  • Changed content type : application/json
    • Changed property data (object)
      Data that was changed on the rule
      • Added property dappDeployedWithin (string)
        Filter dApps by deployment age before ranking.
      • Added property dappDataWindow (string)
        Reward based on data usage within the last day, week, or month. Leave it empty for all time usage.
    • Changed property previousData (object)
      Previous data of the rule before the edit
      • Added property dappDeployedWithin (string)
        Filter dApps by deployment age before ranking.
      • Added property dappDataWindow (string)
        Reward based on data usage within the last day, week, or month. Leave it empty for all time usage.
GET /api/loyalty/rules
Return Type:
Changed response : 200 OK
200
  • Changed content type : application/json
    • Changed property data (array) Changed items (object):
      • Added property dappDeployedWithin (string)
        Filter dApps by deployment age before ranking.
      • Added property dappDataWindow (string)
        Reward based on data usage within the last day, week, or month. Leave it empty for all time usage.
POST /api/loyalty/rules
Request:
Changed content type : application/json
  • Added property dappDeployedWithin (string)
    Filter dApps by deployment age before ranking.
  • Added property dappDataWindow (string)
    Reward based on data usage within the last day, week, or month. Leave it empty for all time usage.
Return Type:
Changed response : 200 OK
200
  • Changed content type : application/json
    • Added property dappDeployedWithin (string)
      Filter dApps by deployment age before ranking.
    • Added property dappDataWindow (string)
      Reward based on data usage within the last day, week, or month. Leave it empty for all time usage.
POST /api/loyalty/rules/
Request:
Changed content type : application/json
  • Added property dappDeployedWithin (string)
    Filter dApps by deployment age before ranking.
  • Added property dappDataWindow (string)
    Reward based on data usage within the last day, week, or month. Leave it empty for all time usage.
Return Type:
Changed response : 200 OK
200
  • Changed content type : application/json
    • Added property dappDeployedWithin (string)
      Filter dApps by deployment age before ranking.
    • Added property dappDataWindow (string)
      Reward based on data usage within the last day, week, or month. Leave it empty for all time usage.

Result


API changes are backward compatible